Bug 189619 - [PATCH] devel/ode-devel: deprecate
[PATCH] devel/ode-devel: deprecate
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alonso Cárdenas Márquez
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-10 18:40 UTC by amdmi3
Modified: 2014-05-27 20:10 UTC (History)
1 user (show)

See Also:


Attachments
ode-devel-0.5.060223.patch (354 bytes, patch)
2014-05-10 18:40 UTC, amdmi3
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description amdmi3 2014-05-10 18:40:02 UTC
devel/ode-devel is way behind devel/ode (ver. 0.5 from 2006 vs. ver. 0.11 from 2011) and is not used by any port. Make it DEPRECATED and set EXPIRATION_DATE

Port maintainer (acm@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.02 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-05-10 18:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-05-27 20:00:24 UTC
Author: amdmi3
Date: Tue May 27 19:00:21 2014
New Revision: 355562
URL: http://svnweb.freebsd.org/changeset/ports/355562
QAT: https://qat.redports.org/buildarchive/r355562/

Log:
  - Mark DEPRECATED and set EXPIRATION_DATE
  
  PR:		189619
  Submitted by:	amdmi3
  Approved by:	maintainer timeout

Modified:
  head/devel/ode-devel/Makefile

Modified: head/devel/ode-devel/Makefile
==============================================================================
--- head/devel/ode-devel/Makefile	Tue May 27 18:58:59 2014	(r355561)
+++ head/devel/ode-devel/Makefile	Tue May 27 19:00:21 2014	(r355562)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ode
 DISTVERSION=	${ODEVER}-060223
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel
 MASTER_SITES=	http://opende.sourceforge.net/snapshots/
 PKGNAMESUFFIX=	-devel
@@ -12,6 +12,9 @@ DISTNAME=	${PORTNAME}-${DISTVERSION:S/${
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	Articulated rigid body dynamics library (devel)
 
+DEPRECATED=	Outdated by devel/ode
+EXPIRATION_DATE=2014-06-27
+
 ODEVER=		0.5
 
 CONFLICTS=	ode-[0-9].*
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dmitry Marakasov freebsd_committer 2014-05-27 20:01:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!